slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPSetOperators

Sets the coefficient matrices associated with the polynomial eigenvalue problem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetOperators(PEP pep,PetscInt nmat,Mat A[])

Collective on PEP and Mat

### Input Parameters

| pep | - the eigenproblem solver context
| nmat | - number of matrices in array A
| A | - the array of matrices associated with the eigenproblem

### Notes

The polynomial eigenproblem is defined as P(l)*x=0, where l is the eigenvalue, x is the eigenvector, and P(l) is defined as P(l) = A_0 + l*A_1 + ... + l^d*A_d, with d=nmat-1 (the degree of P). For non-monomial bases, this expression is different.

### See Also

PEPSolve(), PEPGetOperators(), PEPGetNumMatrices(), PEPSetBasis()

Location: src/pep/interface/pepsetup.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/pep/examples/tutorials/ex16.c.html
src/pep/examples/tutorials/ex17.c.html
src/pep/examples/tutorials/ex28.c.html
src/pep/examples/tutorials/ex38.c.html
src/pep/examples/tutorials/ex16f90.F90.html
src/pep/examples/nlevp/acoustic_wave_1d.c.html
src/pep/examples/nlevp/acoustic_wave_2d.c.html
src/pep/examples/nlevp/butterfly.c.html
src/pep/examples/nlevp/damped_beam.c.html
src/pep/examples/nlevp/pdde_stability.c.html
src/pep/examples/nlevp/planar_waveguide.c.html